Manager Truckers

List all truckers

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Query parameters
pageintegerOptional

A page number within the paginated result set.

Responses
chevron-right
200

Get successful

application/json
countintegerOptionalExample: 1
nextstring · nullableOptional
previousstring · nullableOptional
get
/manager-truckers/
200

Get successful

Create a trucker

post
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Body
phone_numberstring · max: 100Optional
remote_idstringOptional

The ID of the trucker in your system. It has to be unique among all your truckers.

Responses
post
/manager-truckers/
201

Create successful

Delete a trucker

delete
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
pknumberRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its pk then

  • replace the pk value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Responses
delete
/manager-truckers/{pk}/

No content

Read a trucker

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
pknumberRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its pk then

  • replace the pk value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Responses
chevron-right
200

Get successful

application/json
pknumberOptional

Dashdoc's internal id.

Example: 23498
phone_numberstringOptional
invite_codestringOptional

Invite code trucker needs to connect to mobile app. The code is generated by Dashdoc.

app_versionnumberOptional

Ignore. Dashdoc technical data.

Example: 180
readable_app_versionstringOptional

Ignore. Dashdoc technical data.

Example: 2.7.7
platformstringOptional

Ignore. Dashdoc technical data.

Example: ios
remote_idstringOptional

The ID of the trucker in your system. It has to be unique among all your truckers.

is_rentedbooleanOptional
phone_number_personalstringOptionalExample: 0601020304
addressstringOptionalExample: A random address 4 square Dashdoc
postcodestringOptionalExample: 44000
citystringOptionalExample: Nantes
country_codestringOptional

Only the 2-character codification is accepted (ISO 3166-1 alpha-2)

Example: FR
driving_license_numberstringOptionalExample: 99 999 999
driving_license_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
adr_license_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
carrist_license_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
occupational_health_visit_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
new_app_update_availablebooleanOptional

Ignore. Dashdoc technical data.

eventsobject[]Optional

Ignore. Dashdoc technical data.

get
/manager-truckers/{pk}/
200

Get successful

Partially update a trucker

patch
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
pknumberRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its pk then

  • replace the pk value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Body
phone_numberstring · max: 100Optional
remote_idstringOptional

The ID of the trucker in your system. It has to be unique among all your truckers.

Responses
chevron-right
200

Update successful

application/json
pknumberOptional

Dashdoc's internal id.

Example: 23498
phone_numberstringOptional
invite_codestringOptional

Invite code trucker needs to connect to mobile app. The code is generated by Dashdoc.

app_versionnumberOptional

Ignore. Dashdoc technical data.

Example: 180
readable_app_versionstringOptional

Ignore. Dashdoc technical data.

Example: 2.7.7
platformstringOptional

Ignore. Dashdoc technical data.

Example: ios
remote_idstringOptional

The ID of the trucker in your system. It has to be unique among all your truckers.

is_rentedbooleanOptional
phone_number_personalstringOptionalExample: 0601020304
addressstringOptionalExample: A random address 4 square Dashdoc
postcodestringOptionalExample: 44000
citystringOptionalExample: Nantes
country_codestringOptional

Only the 2-character codification is accepted (ISO 3166-1 alpha-2)

Example: FR
driving_license_numberstringOptionalExample: 99 999 999
driving_license_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
adr_license_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
carrist_license_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
occupational_health_visit_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
new_app_update_availablebooleanOptional

Ignore. Dashdoc technical data.

eventsobject[]Optional

Ignore. Dashdoc technical data.

patch
/manager-truckers/{pk}/
200

Update successful

Last updated

Was this helpful?